balance {ape} | R Documentation

## Balance of a Dichotomous Phylogenetic Tree

### Description

This function computes the balance of a phylogenetic tree, that is for each node of the tree the numbers of descendants (i.e. tips) on each of its daughter-branch. The tree must be fully dichotomous.

### Usage

    balance(phy)

### Arguments

`phy` | an object of class `"phylo"`.

### Value

a numeric matrix with two columns and one row for each node of the tree. The columns give the numbers of descendants on each daughter-branches (the order of both columns being arbitrary). If the phylogeny `phy` has an element `node.label`, this is used as rownames for the returned matrix; otherwise the numbers (of mode character) of the matrix `edge` of `phy` are used as rownames.

### Author(s)

Emmanuel Paradis

### References

Aldous, D. J. (2001) Stochastic models and descriptive statistics for phylogenetic trees, from Yule to today. Statistical Science, 16, 23–34.

[Package ape version 3.5 Index]